THT DUYURU

Linux Linux İle İlgili Bilgi Paylaşım Platformu

chat
Seçenekler

Postfix'te Giden Maillere Disclaimer Eklemek

_EReNCaN65 - ait Kullanıcı Resmi (Avatar)
Üye
Üyelik tarihi:
09/2008
Nereden:
VAN
Mesajlar:
6.404
Konular:
4114
Teşekkür (Etti):
86
Teşekkür (Aldı):
3601
Ticaret:
(0) %
18-11-2009 19:57
#1
Cool
Postfix'te Giden Maillere Disclaimer Eklemek
Postfix'in kendi bünyesinde böyle bir özellik bulunmamaktadır ki zaten bu ekleme SMTP sunucunun görevlerinden biri de değildir, genelde bu tip disclaimer mesajları content filtering ya da antivirus programları aracılığı ile eklenir.Biz de postfix üzerinde "altermime" kullanarak dışarı giden maillerimize uyarı ekleyebiliriz.

Aşağıda yapılanları adım adım takip ederseniz sorunsuz bir şekilde postfix sisteminize uyarı mesajı ekleme işlemini yaptırtabilirsiniz.

[root@yubam yedek]# wget
http://www.pldaniels.com/altermime/a...e-0.3.4.tar.gz
[root@yubam yedek]# tar -zxvf altermime-0.3.4.tar.gz [root@yubam yedek]# cd altermime-0.3.4
[root@yubam altermime-0.3.4]# make && make install
[root@yubam altermime-0.3.4]# cp altermime /usr/local/bin
[root@yubam altermime-0.3.4]# chmod a+rx /usr/local/bin/altermime
şimdide postfix'in altermime'i çalıştırması için sistemde yetkisiz bir kullanıcı oluşturalım.

[root@yubam altermime-0.3.4]# useradd -r -c "Postfix icin" -d /var/spool/filter filter
sonra bu eklediğimiz kullanıcın ev dizinini oluşturalım.

[root@yubam altermime-0.3.4]# mkdir /var/spool/filter
gerekli izinleri ayarlayalım,

[root@yubam altermime-0.3.4]# chown filter.filter /var/spool/filter
[root@yubam altermime-0.3.4]# chmod 750 /var/spool/filter
uyari scriptimizi oluşturalım,aşağıdaki satırları uyari.sh adı ile /etc/postfix dizinine kaydedin

#!/bin/sh
# Localize these.
INSPECT_DIR=/var/spool/filter
SENDMAIL=/usr/sbin/sendmail
# Exit codes from <sysexits.h>
EX_TEMPFAIL=75
EX_UNAVAILABLE=69
# Clean up when done or when aborting.
trap "rm -f in.$$" 0 1 2 3 15
# Start processing.
cd $INSPECT_DIR || { echo $INSPECT_DIR does not exist; exit
$EX_TEMPFAIL; }
cat >in.$$ || { echo Cannot save mail to file; exit $EX_TEMPFAIL; }
/usr/bin/altermime --input=in.$$ --disclaimer=/etc/postfix/uyari.txt --disclaimer-html=/etc/postfix/uyari.txt --xheader="X-Copyrighted-Material: Please visit
http://www.sirketimiz.com/uyari" || { echo Message content rejected; exit $EX_UNAVAILABLE; }
$SENDMAIL "$@" <in.$$

exit $?
[root@yubam altermime-0.3.4]# chmod 755 /etc/postfix/uyari.sh
simdide maillerimizde görünmesini istediğimiz uyarı metnini

/etc/postfix/uyari.txt
adı ile kaydedelim. Mesela benim dosyam

[root@yubam altermime-0.3.4]# cat /etc/postfix/uyari.txt
Our company accepts no liability for the content of this email, or for the consequences of any actions taken on the basis of the information provided, unless that information is subsequently confirmed in writing. If you are not the intended recipient you are notified that disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.

şeklindedir siz de kendinize göre düzenleyebilirsiniz.

Sıra geldi postfix'i bu yaptıklarımızdan haberdar etmeye ve altermime'i işletmesini sağlamaya.

Bunun için

/etc/postfix/master.cf
dosyasını herhangi bir editörle açıp

smtp inet n - n - - smtpd
satırını bulup aşağıdaki şekilde düzenleyin

smtp inet n - n - - smtpd -o content_filter=dfilt:
sonra yine aynı dosyaya şu satırları ekleyin.

dfilt unix - n n - - pipe
flags=Rq user=filter argv=/etc/postfix/uyari.sh -f ${sender} -- ${recipient}
son olarak da değişikliklerin aktif olabilmesi için postfixi yeniden çalıştırın

#postfix stop
#postfix start
Kaynak:
http://www.postfix.org
http://www.paw.co.za/docs/howtos/pos...ime-howto.html
---------------------
CeHeNNeMDe MeVSiM YoK GüZeLiM HeP YaNaCaKSiN...!


HizLi Yaşa GeNÇ ÖL...!







ESKiLeR TaNıR YeNiLeR ÖRNeK ALıR...!

Bookmarks


« Önceki Konu | Sonraki Konu »
Seçenekler